<template>
  <div>
    <h1 class="mb-3">In the last 3 months, have you smoked or used any of the following recreational drugs?</h1>
    <p class="text-base mb-6">Select all that apply.</p>
    <div class="space-y-3 mb-8">
      <checkbox-input
        v-for="choice in choices"
        :key="choice"
        @input="handleCheckboxInput"
        :value="checkboxSelected"
        :input-value="choice"
      >
        {{ choice }}
      </checkbox-input>
    </div>
    <CommonBtn
      text="Next"
      @click="clickHandler"
      :disabled="!checkboxSelected.length"
    />
  </div>
</template>

<script>
import {constants} from "@/constants";
import {answersMixin, checkboxMixin, referMixin} from "@/utils/mixins";
import CheckboxInput from "@/components/inputs/CheckboxInput";
import CommonBtn from "@/components/common/CommonBtn";

const COCAINE = 'Cocaine'
const MARIJUANA = 'Marijuana'
const METHAMPHETAMINE = 'Methamphetamine'

export default {
  components: {CommonBtn, CheckboxInput},
  mixins: [answersMixin, checkboxMixin, referMixin],
  name: "YourHealth27",
  data() {
    return {
      choices: [
        COCAINE,
        MARIJUANA,
        'Opiates/Heroin',
        METHAMPHETAMINE,
        constants.NONE_CHOICE,
      ],
      checkHandler: newVal => {
        newVal = this.filterChoices(newVal)
        this.checkboxSelected = newVal
        this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_25')
      }
    }
  },
  methods: {
    clickHandler() {
      if (this.checkboxSelected.includes(COCAINE)) {
        this.setRefer('We’ve hit a road bump:', 'It appears you are not a good candidate for prescription ED medication at this time. The medications we offer may cause adverse reactions in patients who have recently used cocaine. \n\nMixing cocaine and prescription ED medication can increase your risk of developing cardiovascular problems, priapism, and other serious health issues. Please try again when it’s been at least three months since you’ve used cocaine recreationally.')
      } else if (this.checkboxSelected.includes(MARIJUANA)) {
        this.setRefer('We’ve hit a road bump:', 'It appears you are not a good candidate for prescription ED medication at this time. The medications we offer may cause adverse reactions in patients who have recently used marijuana. Marijuana can prevent the medication from being fully metabolized, and may lead to negative drug interactions. Please try again when it’s been at least three months since you’ve used marijuana.  ')
      } else if (this.checkboxSelected.includes(METHAMPHETAMINE)) {
        this.setRefer('We’ve hit a road bump:', 'It appears you are not a good candidate for prescription ED medication at this time. Combining meth with prescription ED medication can result in serious and potentially deadly health issues.')
      } else {
        this.$emit('nextStage')
      }
    }
  }
}
</script>

<style scoped>

</style>
